Debian Bug report logs - #608583
libnet-irc-perl: dead upstream since 2004

version graph

Package: libnet-irc-perl; Maintainer for libnet-irc-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libnet-irc-perl is src:libnet-irc-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Sat, 1 Jan 2011 18:03:01 UTC

Severity: serious

Tags: jessie, sid

Found in version libnet-irc-perl/0.75-8

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#608583; Package libnet-irc-perl. (Sat, 01 Jan 2011 18:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 01 Jan 2011 18:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: libnet-irc-perl: dead upstream since 2004
Date: Sat, 1 Jan 2011 20:00:27 +0200
Package: libnet-irc-perl
Version: 0.75-8
Severity: important

This package is officially dead upstream; it's description on CPAN now
reads 'DEAD SINCE 2004' and the patch for #303400 that I forwarded in
2005 was recently marked as 'rejected' because of this. From 0.79 README:

   This module is officially DEPRECATED. It has been abandoned in
   favor of more modern approaches, including Bot::BasicBot and
   POE::Component::IRC. This release only serves to warn current and
   new users about the status of this distribution.

This suggests removal, except for the reverse dependencies: barnowl and
blootbot depend on libnet-irc-perl and munin-node and hobbit-plugins
suggest it.

Possibly this bug should be cloned as requests for migrating to
the above alternatives.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#608583; Package libnet-irc-perl. (Wed, 31 Aug 2011 23:51:03 GMT) Full text and rfc822 format available.

Message #8 received at 608583@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: 608583@bugs.debian.org
Subject: Re: libnet-irc-perl: dead upstream since 2004
Date: Thu, 01 Sep 2011 01:48:49 +0200
Hi,

> This package is officially dead upstream; it's description on CPAN now
> reads 'DEAD SINCE 2004' and the patch for #303400 that I forwarded in
> 2005 was recently marked as 'rejected' because of this.

I think we should try to remove this module before the wheezy release.
If there are no objections, I'll file bug for the reverse dependencies
in the next days.

Ansgar




Added blocking bug(s) of 608583: 640207 and 640206 Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Sat, 03 Sep 2011 11:51:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#608583; Package libnet-irc-perl. (Sat, 03 Sep 2011 12:15:03 GMT) Full text and rfc822 format available.

Message #13 received at 608583@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: 608583@bugs.debian.org
Subject: Re: Bug#608583: libnet-irc-perl: dead upstream since 2004
Date: Sat, 03 Sep 2011 14:12:50 +0200
> I think we should try to remove this module before the wheezy release.
> If there are no objections, I'll file bug for the reverse dependencies
> in the next days.

Which I did today:

http://bugs.debian.org/cgi-bin/pkgreport.cgi?users=pkg-perl-maintainers@lists.alioth.debian.org;tag=libnet-irc-perl-removal

Packages depending on libnet-irc-perl:
#640206 [important] - barnowl
#640207 [important] - blootbot

Packages suggesting libnet-irc-perl:
#640208 [minor]     - munin-node
#640209 [minor]     - hobbit-plugins

The first two bugs are also marked as blockers for this bug.

Regards,
Ansgar




Added blocking bug(s) of 608583: 640209 Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Tue, 11 Oct 2011 22:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#608583; Package libnet-irc-perl. (Tue, 11 Oct 2011 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 11 Oct 2011 23:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 608583@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Ansgar Burchardt <ansgar@debian.org>, 640209@bugs.debian.org
Cc: 608583@bugs.debian.org
Subject: Re: Bug#640209: please stop using libnet-irc-perl
Date: Wed, 12 Oct 2011 01:10:30 +0200
Hi,

Ansgar Burchardt wrote in http://bugs.debian.org/640209:
> As libnet-irc-perl has been unmaintained since 2004,

You mean "unmaintained upstream"...

> we would like to remove the package from Debian before the wheezy
> release.

Meh! It doesn't have any bugs in Debian (except #608583 of course)
and works smoothly without any issue here for ages.

So I can't really follow why it should be removed. There's quite a lot
of established and well working software in Debian which is
deprecated, unmaintained upstream or even vanished from the upstream
websites.

> Please switch to an alternative library such as
> libpoe-component-irc-perl.

I surely won't add POE bloat to the hobbit-plugins IRC bot.

In http://bugs.debian.org/608583 there's also Bot::BasicBot mentioned,
so I'll have a look into libbot-basicbot-perl, but I can neither
promise that the migration will be successful nor that I'll manage to
dig into this anytime soon.

Since the Hobbit IRC bot included in hobbit-plugins is only useful on
Hobbit/Xymon servers and not enabled by default, its (hard)
dependencies are just Suggests in the package.

Nevertheless, that IRC bot is a quite important und intensely used
component of all Hoobit/Xymon servers I know, so I raised the severity
to important and added a blocker like you did for the other bugs of
that severity.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#608583; Package libnet-irc-perl. (Wed, 12 Oct 2011 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 12 Oct 2011 10:21:19 GMT) Full text and rfc822 format available.

Message #25 received at 608583@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 608583@bugs.debian.org
Cc: 640209@bugs.debian.org
Subject: Re: Bug#608583: Bug#640209: please stop using libnet-irc-perl
Date: Wed, 12 Oct 2011 12:19:41 +0200
Hi,

Axel Beckert wrote:
> In http://bugs.debian.org/608583 there's also Bot::BasicBot mentioned,
> so I'll have a look into libbot-basicbot-perl, [...]

JFTR:

Bot::BasicBot also uses POE::Component::IRC, but on #debian-perl, two
further IRC modules popped up:

AnyEvent::IRC (packaged in libanyevent-irc-perl) and Net::Async::IRC
(doesn't seem to be in Debian yet).

Thanks to sECuRE and mst for these hints!

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#608583; Package libnet-irc-perl. (Wed, 06 Nov 2013 09:57:04 GMT) Full text and rfc822 format available.

Message #28 received at 608583@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 640206@bugs.debian.org
Cc: 608583@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#640206: barnowl: please stop using libnet-irc-perl
Date: Wed, 6 Nov 2013 11:56:05 +0200
[Message part 1 (text/plain, inline)]
Control: retitle -1 barnowl: uses libnet-irc-perl, which is abandoned upstream
Control: tag -1 fixed-upstream
Control: severity 608583 serious

-=| Ansgar Burchardt, 03.09.2011 13:43:21 +0200 |=-
> Package: barnowl
> Version: 1.6.2-1+b2
> Severity: important
> 
> As libnet-irc-perl has been unmaintained since 2004, we would like to
> remove the package from Debian before the wheezy release.  Please 
> switch to an alternative library such as libpoe-component-irc-perl.

Net::IRC dependency is removed upstream in version 1.8, released 
October 2011.

Since barnowl is the only remaining package with a hard dependency on 
libnet-irc-perl, and since there is a fix upstream, I am raising the 
severity of #608583 to make libnet-irc-perl get out of jessie. This 
will remove barnowl too, unless the package is upgraded to a newer 
upstream release.

On a side note, adding Homepage to barnowl's control file would be 
nice. The upstream project is at http://barnowl.mit.edu/ . Ditto for 
debian/watch and debian/copyright.
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'barnowl: uses libnet-irc-perl, which is abandoned upstream' from 'libnet-irc-perl: dead upstream since 2004' Request was from Damyan Ivanov <dmn@debian.org> to 608583-submit@bugs.debian.org. (Wed, 06 Nov 2013 09:57:04 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Damyan Ivanov <dmn@debian.org> to 608583-submit@bugs.debian.org. (Wed, 06 Nov 2013 09:57:05 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Damyan Ivanov <dmn@debian.org> to 608583-submit@bugs.debian.org. (Wed, 06 Nov 2013 09:57:05 GMT) Full text and rfc822 format available.

Removed tag(s) fixed-upstream. Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Wed, 06 Nov 2013 10:09:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'libnet-irc-perl: dead upstream since 2004' from 'barnowl: uses libnet-irc-perl, which is abandoned upstream' Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Wed, 06 Nov 2013 10:09:08 GMT) Full text and rfc822 format available.

Added tag(s) sid and jessie. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Thu, 07 Nov 2013 10:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#608583; Package libnet-irc-perl. (Sat, 23 Nov 2013 15:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 23 Nov 2013 15:00:04 GMT) Full text and rfc822 format available.

Message #45 received at 608583@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Damyan Ivanov <dmn@debian.org>, 640206@bugs.debian.org, hartmans@debian.org
Cc: 608583@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#640206: barnowl: please stop using libnet-irc-perl
Date: Sat, 23 Nov 2013 15:45:38 +0100
[Message part 1 (text/plain, inline)]
Control: severity 640206 serious

On Wed, Nov 06, 2013 at 11:56:05AM +0200, Damyan Ivanov wrote:
> Control: retitle -1 barnowl: uses libnet-irc-perl, which is abandoned upstream
> Control: tag -1 fixed-upstream
> Control: severity 608583 serious
> 
> -=| Ansgar Burchardt, 03.09.2011 13:43:21 +0200 |=-
> > Package: barnowl
> > Version: 1.6.2-1+b2
> > Severity: important
> > 
> > As libnet-irc-perl has been unmaintained since 2004, we would like to
> > remove the package from Debian before the wheezy release.  Please 
> > switch to an alternative library such as libpoe-component-irc-perl.
> 
> Net::IRC dependency is removed upstream in version 1.8, released 
> October 2011.
> 
> Since barnowl is the only remaining package with a hard dependency on 
> libnet-irc-perl, and since there is a fix upstream, I am raising the 
> severity of #608583 to make libnet-irc-perl get out of jessie. This 
> will remove barnowl too, unless the package is upgraded to a newer 
> upstream release.

I think #640206 should then be transitively RC as well, raising
severity.

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#608583; Package libnet-irc-perl. (Mon, 25 Nov 2013 03:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 25 Nov 2013 03:57:09 GMT) Full text and rfc822 format available.

Message #50 received at 608583@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: Philipp Kern <pkern@debian.org>
Cc: 640206@bugs.debian.org, Damyan Ivanov <dmn@debian.org>, 608583@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#640206: barnowl: please stop using libnet-irc-perl
Date: Sun, 24 Nov 2013 22:47:00 -0500
OK.  I had updated the barnowl packaging, but upstream asked me to hold
off and update to a new release.  I'll cycle back with them and upload
something fixed in a coupled of days.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#608583; Package libnet-irc-perl. (Sun, 26 Jan 2014 08:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 26 Jan 2014 08:27:05 GMT) Full text and rfc822 format available.

Message #55 received at 608583@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: debian-perl@lists.debian.org
Cc: 608583@bugs.debian.org
Subject: Re: Removing RC buggy leaf packages with low popularity?
Date: Sun, 26 Jan 2014 10:25:50 +0200
On Sun, Jan 26, 2014 at 03:43:30AM +0100, gregor herrmann wrote:
> On Sun, 26 Jan 2014 00:14:15 +0100, Axel Beckert wrote:
> 
> > > >    libnet-irc-perl [popcon: 386]
> > > IIRC, this RC bug is a bit controversial -- Axel?
> > Yeah, I consider it a well working module with no issues in Debian at
> > all except that someone who claims to be upstream considers it
> > deprecated. (Or said otherwise: I think http://bugs.debian.org/608583
> > is close to irrelevant if the package has that much popcon but no
> > bug-reports for years now.)
> 
> I'm completely fine with lowering the severity of this bug.
> Any strong objections?

(cc'ing the bug in question)

No strong objection, just a note. The fact that upstream rejects
bug reports bothers me, that's the main reason why I filed the bug.
The upstream code has issues but we don't have a way of sharing our fixes.

See also #437474, where the submitter sent patches directly to me because
upstream was unresponsive.

Axel, given that you care and current upstream clearly doesn't, how
about taking over the upstream maintenance?
-- 
Niko Tyni   ntyni@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#608583; Package libnet-irc-perl. (Mon, 27 Jan 2014 16:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 27 Jan 2014 16:36:04 GMT) Full text and rfc822 format available.

Message #60 received at 608583@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 608583@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#608583: Removing RC buggy leaf packages with low popularity?
Date: Mon, 27 Jan 2014 17:32:20 +0100
Hi Niko,

Niko Tyni wrote:
[http://bugs.debian.org/608583 -- No more upstream for Net::IRC]
> Axel, given that you care and current upstream clearly doesn't, how
> about taking over the upstream maintenance?

I already though about that, yes -- and not only once. I also thought
about adding myself as Uploader to the libnet-irc-perl package.

But I think my lack of knowledge about the IRC protocol does not
enable me to maintain it properly as upstream.

And since I already converted the one place where I need a Perl IRC
library, I don't care as much anymore as the frustration about the
whole issue may have suggested.

As I said, I'm sad that we discuss such things now and not before I
was urged to move away to different libraries. But that's past. (Well,
the frustation is still there, but I won't go back and the frustration
hopefully will go away.)

So, I'm not vetoing against a removal of libnet-irc-perl, as I don't
see an alternative, but I'm still unhappy about ditching it.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:22:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.